#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	cliapp
Summary:	Python framework for Unix command line programs
Name:		python-%{module}
Version:	1.20130808
Release:	4
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://ftp.debian.org/debian/pool/main/p/python-%{module}/%{name}_%{version}.orig.tar.gz
# Source0-md5:	1ba6cab0430c4a85687b2fa48a646059
URL:		http://liw.fi/cliapp
BuildRequires:	python-coverage-test-runner
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sphinx-pdg-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cliapp is a Python framework for Unix-like command line programs. It
contains the typical stuff such programs need to do, such as parsing
the command line for options, and iterating over input files.

%package doc
Summary:	Documentation for %{module}
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains the documentation for %{module}, a Python
framework for Unix command line programs.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with tests}
# CoverageTestRunner trips up on build directory
# so need to run this before setup.py
rm -rf build
%{__make} -j1 check
%endif

%py_build

# Build documentation
%{__make} SPHINXBUILD=sphinx-build-2

%install
rm -rf $RPM_BUILD_ROOT
%py_install

# don't package internal tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/cliapp/*_tests.py*

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%{_mandir}/man5/cliapp.5*
%dir %{py_sitescriptdir}/cliapp
%{py_sitescriptdir}/cliapp/*.py[co]
%{py_sitescriptdir}/cliapp-%{version}-py*.egg-info

%files doc
%defattr(644,root,root,755)
%doc doc/_build/html/*
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cliapp.git;a=log;h=auto/th/python-cliapp-1.20130808-4

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 56e149a
- fix test and doc build

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> b172255
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c788b04
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e2c3552
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c7a6fcc
- automatic change: use py_build/py_install macros

* Mon Jan 20 2014 Elan Ruusamäe <glen@delfi.ee> c739b05
- new, version 1.20130808

